/*
   SSHSecure - a program to harden OpenSSH from defaults
   Copyright (C) 2020  Brent Saner

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

package sharedconsts

import (
	"fmt"
)

// "Meta". Used for comment strings, etc.
const (
	projName = "SSHSecure"
	projUrl  = "https://git.square-r00t.net/SSHSecure"
)

var IDCmnt = string(fmt.Sprintf("Autogenerated by %v (%v)", projName, projUrl))

// Common file/directory paths.
const (
	// System-wide files.
	LockFile      string = "/tmp/.sshsecure.lck"
	SysSshConfDir string = "/etc/ssh"
	// The following are joined with SysSshConfDir.
	SshdConfFile    string = "sshd_config"
	SshConfFile     string = "ssh_config"
	HostEd25519File string = "ssh_host_ed25519_key"
	HostRsaFile     string = "ssh_host_rsa_key"
	ModuliFile      string = "moduli"
	// Invoking user's files.
	UserSshConfDir string = "~/.ssh"
	// The following are joined with userSshConfDir.
	UserSshConfFile string = "config"
	UserEd25519File string = "id_ed25519"
	UserRsaFile     string = "id_rsa"
)
